=== funtest/Makefile ===
#
# This is a Makefile for the Funtools testing. If it has the name "Makefile.in"
# then it is a template for a Makefile;  to generate the actual Makefile,
# run "./configure", which is a configuration script generated by the
# "autoconf" program (constructs like "@foo@" will get replaced in the
# actual Makefile.
#

#----------------------------------------------------------------
# Things you can change to personalize the Makefile for your own
# site (you can make these changes in either Makefile.in or
# Makefile, but changes to Makefile will get lost if you re-run
# the configuration script).
#----------------------------------------------------------------

# Default top-level directories in which to install architecture-
# specific files (exec_prefix) and machine-independent files such
# as scripts (prefix).  The values specified here may be overridden
# at configure-time with the --exec-prefix and --prefix options
# to the "configure" script.

prefix =		/home/eric
exec_prefix =		${prefix}

# The following definition can be set to non-null for special systems
# like AFS with replication.  It allows the pathnames used for installation
# to be different than those used for actually reference files at
# run-time.  INSTALL_ROOT is prepended to $prefix and $exec_prefix
# when installing files.
INSTALL_ROOT =

# extra includes for compiling
INCLUDES = -I. -I$(prefix)/include

# extra libs
EXTRA_LIBS	=  -ldl

# the full set of libraries for linking
LIBS	= -L.. -lfuntools $(EXTRA_LIBS) -lm

# To change the compiler switches, for example to change from -O
# to -g, change the following line:
CFLAGS = 		-g -W -Wall -Wno-implicit-int -fPIC

# To add ld switches, change the following line:
LDFLAGS =		-g -rdynamic

# Some versions of make, like SGI's, use the following variable to
# determine which shell to use for executing commands:
SHELL =			/bin/sh

# extra modules added by configure.in to fix OS bugs
EXTRA_OBJS = 		

# There are just too many different versions of "install" around;
# better to use the install-sh script that comes with the distribution,
# which is slower but guaranteed to work.

INSTALL = 		./install-sh -c
INSTALL_PROGRAM =	${INSTALL}
INSTALL_DATA =		${INSTALL} -m 644

#----------------------------------------------------------------
# The information below is modified by the configure script when
# Makefile is generated from Makefile.in.  You shouldn't normally
# modify any of this stuff by hand.
#----------------------------------------------------------------

AC_FLAGS =		-DHAVE_CONFIG_H
RANLIB =		ranlib

#----------------------------------------------------------------
# The information below should be usable as is.  The configure
# script won't modify it and you shouldn't need to modify it
# either.
#----------------------------------------------------------------

CC =		gcc

CC_SWITCHES =	${CFLAGS} ${INCLUDES} ${AC_FLAGS}

DEPEND_SWITCHES = ${CFLAGS} ${INCLUDES} ${AC_FLAGS}

SRCS =		evread.c evreplace.c evmerge.c evmerge2.c evcol.c evnext.c \
		evcre.c imblank.c imtest.c wtest.c evtest.c mkev.c filt.c  \
		asc2fits.c bigfits.c

OBJS =		evread.o evreplace.o evmerge.o evmerge2.o evcol.o evnext.o \
		evcre.o imblank.o imtest.o wtest.o evtest.o mkev.o filt.o  \
		asc2fits.o bigfits.o

PROGS =		evread evreplace evmerge evmerge2 evcol evnext evcre \
		imblank imtest wtest evtest mkev filt asc2fits bigfits

all:		$(PROGS)

evread:		evread.o
		$(CC) $(LDFLAGS) evread.o -o evread $(LIBS)

evreplace:	evreplace.o
		$(CC) $(LDFLAGS) evreplace.o -o evreplace $(LIBS)

evmerge:	evmerge.o
		$(CC) $(LDFLAGS) evmerge.o -o evmerge $(LIBS)

evmerge2:	evmerge2.o
		$(CC) $(LDFLAGS) evmerge2.o -o evmerge2 $(LIBS)

evcol:		evcol.o
		$(CC) $(LDFLAGS) evcol.o -o evcol $(LIBS)

evnext:		evnext.o
		$(CC) $(LDFLAGS) evnext.o -o evnext $(LIBS)

evcre:		evcre.o
		$(CC) $(LDFLAGS) evcre.o -o evcre $(LIBS)

imblank:	imblank.o
		$(CC) $(LDFLAGS) imblank.o -o imblank $(LIBS)

imtest:		imtest.o
		$(CC) $(LDFLAGS) imtest.o -o imtest $(LIBS)

wtest:		wtest.o
		$(CC) $(LDFLAGS) wtest.o -o wtest $(LIBS)

evtest:		evtest.o
		$(CC) $(LDFLAGS) evtest.o -o evtest $(LIBS)

mkev:		mkev.o
		$(CC) $(LDFLAGS) mkev.o -o mkev $(LIBS)

filt:		filt.o
		$(CC) $(LDFLAGS) filt.o -o filt $(LIBS)

asc2fits:	asc2fits.o
		$(CC) $(LDFLAGS) asc2fits.o -o asc2fits $(LIBS)

bigfits:	bigfits.o
		$(CC) $(LDFLAGS) bigfits.o -o bigfits $(LIBS)

Makefile:	Makefile.in
		$(SHELL) ../config.status

RM = 		rm -f

clean:
		$(RM) *.a *.so *.o *.exe core errs *pure* .nfs* \
			foo* *~ *.log \#* TAGS *.E a.out errors \
			$(PROGS) $(TESTPROGS) \
			gmon.out *.pg *.bak \
			config.info config.log \
			*fun*.out doc/*~ 
		$(RM) -r autom4te.cache

distclean:	clean
		$(RM) Makefile config.status config.cache config.log

install:
		@echo "Nothing to install in funtest"

pclean:
		$(RM) $(PROGS)

depend:
		makedepend -- $(DEPEND_SWITCHES) -- $(SRCS)

evread.o:	evread.c
		$(CC) -c $(CC_SWITCHES) evread.c

evreplace.o:	evreplace.c
		$(CC) -c $(CC_SWITCHES) evreplace.c

evmerge.o:	evmerge.c
		$(CC) -c $(CC_SWITCHES) evmerge.c

evmerge2.o:	evmerge2.c
		$(CC) -c $(CC_SWITCHES) evmerge2.c

evcol.o:	evcol.c
		$(CC) -c $(CC_SWITCHES) evcol.c

evnext.o:	evnext.c
		$(CC) -c $(CC_SWITCHES) evnext.c

evcre.o:	evcre.c
		$(CC) -c $(CC_SWITCHES) evcre.c

imblank.o:	imblank.c
		$(CC) -c $(CC_SWITCHES) imblank.c

imtest.o:	imtest.c
		$(CC) -c $(CC_SWITCHES) imtest.c

wtest.o:	wtest.c
		$(CC) -c $(CC_SWITCHES) wtest.c

evtest.o:	evtest.c
		$(CC) -c $(CC_SWITCHES) evtest.c

mkev.o:		mkev.c
		$(CC) -c $(CC_SWITCHES) mkev.c

filt.o:		filt.c
		$(CC) -c $(CC_SWITCHES) filt.c

asc2fits.o:	asc2fits.c
		$(CC) -c $(CC_SWITCHES) asc2fits.c

bigfits.o:	bigfits.c
		$(CC) -c $(CC_SWITCHES) bigfits.c

pure:		evread.pure evreplace.pure evmerge.pure evmerge2.pure \
		evcol.pure evnext.pure evcre.pure \
		imblank.pure imtest.pure wtest.pure filt.pure \
		evtest.pure asc2fits.pure bigfits.pure

evread.pure:	$(FUNLIB) evread.o
		purify $(CC) $(LDFLAGS) evread.o -o evread.pure \
		$(FUNLIB) $(LIBS)

evreplace.pure:	$(FUNLIB) evreplace.o
		purify $(CC) $(LDFLAGS) evreplace.o -o evreplace.pure \
		$(FUNLIB) $(LIBS)

evmerge.pure:	$(FUNLIB) evmerge.o
		purify $(CC) $(LDFLAGS) evmerge.o -o evmerge.pure \
		$(FUNLIB) $(LIBS)

evmerge2.pure:	$(FUNLIB) evmerge2.o
		purify $(CC) $(LDFLAGS) evmerge2.o -o evmerge2.pure \
		$(FUNLIB) $(LIBS)

evcol.pure:	$(FUNLIB) evcol.o
		purify $(CC) $(LDFLAGS) evcol.o -o evcol.pure \
		$(FUNLIB) $(LIBS)

evnext.pure:	$(FUNLIB) evnext.o
		purify $(CC) $(LDFLAGS) evnext.o -o evnext.pure \
		$(FUNLIB) $(LIBS)

evcre.pure:	$(FUNLIB) evcre.o
		purify $(CC) $(LDFLAGS) evcre.o -o evcre.pure \
		$(FUNLIB) $(LIBS)

imblank.pure:	$(FUNLIB) imblank.o
		purify $(CC) $(LDFLAGS) imblank.o -o imblank.pure \
		$(FUNLIB) $(LIBS)

imtest.pure:	$(FUNLIB) imtest.o
		purify $(CC) $(LDFLAGS) imtest.o -o imtest.pure \
		$(FUNLIB) $(LIBS)

wtest.pure:	$(FUNLIB) wtest.o
		purify $(CC) $(LDFLAGS) wtest.o -o wtest.pure \
		$(FUNLIB) $(LIBS)

filt.pure:	$(FUNLIB) filt.o
		purify $(CC) $(LDFLAGS) filt.o -o filt.pure \
		$(FUNLIB) $(LIBS)

evtest.pure:	$(FUNLIB) evtest.o
		purify $(CC) $(LDFLAGS) evtest.o -o evtest.pure \
		$(FUNLIB) $(LIBS)

asc2fits.pure:	$(FUNLIB) asc2fits.o
		purify $(CC) $(LDFLAGS) asc2fits.o -o asc2fits.pure \
		$(FUNLIB) $(LIBS)

bigfits.pure:	$(FUNLIB) bigfits.o
		purify $(CC) $(LDFLAGS) bigfits.o -o bigfits.pure \
		$(FUNLIB) $(LIBS)

# DO NOT DELETE THIS LINE -- make depend depends on it.
