=== gnu/Makefile ===
#
# This is a Makefile for the gnu binary sort. If it has the name "Makefile.in"
# then it is a template for a Makefile;  to generate the actual Makefile,
# run "./configure", which is a configuration script generated by the
# "autoconf" program (constructs like "@foo@" will get replaced in the
# actual Makefile.
#

#----------------------------------------------------------------
# Things you can change to personalize the Makefile for your own
# site (you can make these changes in either Makefile.in or
# Makefile, but changes to Makefile will get lost if you re-run
# the configuration script).
#----------------------------------------------------------------

# Default top-level directories in which to install architecture-
# specific files (exec_prefix) and machine-independent files such
# as scripts (prefix).  The values specified here may be overridden
# at configure-time with the --exec-prefix and --prefix options
# to the "configure" script.

prefix =		/home/eric
exec_prefix =		${prefix}

# The following definition can be set to non-null for special systems
# like AFS with replication.  It allows the pathnames used for installation
# to be different than those used for actually reference files at
# run-time.  INSTALL_ROOT is prepended to $prefix and $exec_prefix
# when installing files.
INSTALL_ROOT =

# extra includes for compiling
INCLUDES = -I. -I$(prefix)/include

# extra libs
EXTRA_LIBS	=  -ldl

# the full set of libraries for linking
LIBS	=

# To change the compiler switches, for example to change from -O
# to -g, change the following line:
CFLAGS = 		-g -W -Wall -Wno-implicit-int -fPIC -DSAOMOD_BINARY

# To add ld switches, change the following line:
LDFLAGS =		-g -rdynamic

# Some versions of make, like SGI's, use the following variable to
# determine which shell to use for executing commands:
SHELL =			/bin/sh

# extra modules added by configure.in to fix OS bugs
EXTRA_OBJS = 		

# Directory in which to install the .a, .so, and .o files:
LIB_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/lib

# Directory in which to install the programs:
BIN_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/bin

# Directory in which to install the include files:
INCLUDE_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/include

# There are just too many different versions of "install" around;
# better to use the install-sh script that comes with the distribution,
# which is slower but guaranteed to work.

INSTALL = 		./install-sh -c
INSTALL_PROGRAM =	${INSTALL}
INSTALL_DATA =		${INSTALL} -m 644

#----------------------------------------------------------------
# The information below is modified by the configure script when
# Makefile is generated from Makefile.in.  You shouldn't normally
# modify any of this stuff by hand.
#----------------------------------------------------------------

AC_FLAGS =		-DHAVE_CONFIG_H
RANLIB =		ranlib
EXE =			

#----------------------------------------------------------------
# The information below should be usable as is.  The configure
# script won't modify it and you shouldn't need to modify it
# either.
#----------------------------------------------------------------

CC =		gcc

CC_SWITCHES =	${CFLAGS} ${INCLUDES} ${AC_FLAGS}

DEPEND_SWITCHES = ${CFLAGS} ${INCLUDES} ${AC_FLAGS}

SRCS =		sort.c

OBJS =		sort.o

PROGS =		_funsort

TESTPROGS =	sorttest

all:		$(PROGS)

_funsort:	$(OBJS)
		$(CC) $(LDFLAGS) $(OBJS) -o _funsort

sorttest:	sorttest.o
		$(CC) $(LDFLAGS) sorttest.o -o sorttest -L.. -lfuntools

Makefile:	Makefile.in
		$(SHELL) config.status

RM = 		rm -f

clean:
		$(RM) *.a *.so *.o *.exe core errs *pure* .nfs* \
			foo* *~ *.log \#* TAGS *.E a.out errors \
			$(PROGS) $(TESTPROGS) \
			gmon.out *.pg *.bak \
			config.info config.log \
			*fun*.out doc/*~ 
		$(RM) -r autom4te.cache

distclean:	clean
		$(RM) Makefile config.status config.cache config.log

pclean:
		$(RM) $(PROGS)

depend:
		makedepend -- $(DEPEND_SWITCHES) -- $(SRCS)

sort.o:		sort.c
		$(CC) -c $(CC_SWITCHES) sort.c

install:	$(PROGS)
		@for i in $(PROGS) ; \
		  do \
		  echo "Installing $$i$(EXE)" ; \
		  $(INSTALL_PROGRAM) $$i$(EXE) $(BIN_INSTALL_DIR)/$$i$(EXE) ; \
		  done;


pure:		_funsort.pure

_funsort.pure:	$(FUNLIB) sort.o
		purify $(CC) $(LDFLAGS) sort.o -o _funsort.pure \
		$(FUNLIB) $(LIBS)

# DO NOT DELETE THIS LINE -- make depend depends on it.
