=== debian/changelog ===
funtools (1.4.4-6) unstable; urgency=low

  * update config.{sub,guess} for the AArch64 port. Closes: #727381

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 27 Oct 2013 18:02:49 +0100

funtools (1.4.4-5) unstable; urgency=low

  * Enable multiarch for library (not for tcl yet).

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 29 Sep 2013 15:15:17 +0200

funtools (1.4.4-4) unstable; urgency=low

  * Check command line input for funjoin and funimage. Closes: #715928, #715929
  * Push standards version. No changes needed.
  * Use hardening flags.
  * Remove now-unneeded DMUA flag.

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 22 Jul 2013 22:03:24 +0200

funtools (1.4.4-3) unstable; urgency=low

  * Update ds9 patches from version 7.0
  * Set DM-Upload-Allowed: yes

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 10 Jun 2012 10:00:00 +0200

funtools (1.4.4-2) unstable; urgency=low

  * Add dependency of libwcstools-dev to libfuntools-dev
  * Build on HURD and GNU/KFreeBSD
  * Update copyright and policy versions
  * Allow to include funtools/funtools.h without -I/usr/include/funtools

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 10 Apr 2012 16:30:00 +0200

funtools (1.4.4-1) unstable; urgency=low

  * Initial release. (Closes: #655653)

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 06 Feb 2012 09:20:00 +0100
