=== debian/control ===
Source: funtools
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <debian@liska.ath.cx>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               gawk,
               libwcstools-dev,
               tcl-dev,
               zlib1g-dev
Standards-Version: 3.9.4
Homepage: https://www.cfa.harvard.edu/~john/funtools/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/funtools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/funtools.git

Package: funtools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Minimal buy-in FITS utility package
 Funtools, is a "minimal buy-in" FITS library and utility package developed at
 the High Energy Astrophysics Division of SAO. The Funtools library
 provides simplified access to a wide array of file types: standard
 astronomical FITS images and binary tables, raw arrays and binary event
 lists, and even tables of ASCII column data. A sophisticated region filtering
 library (compatible with ds9) filters images and tables using boolean
 operations between geometric shapes, support world coordinates, etc. Funtools
 also supports advanced capabilities such as optimized data searching using
 index files.
 .
 This package contains the tools.

Package: libfuntools1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Minimal buy-in FITS library
 Funtools, is a "minimal buy-in" FITS library and utility package developed at
 the High Energy Astrophysics Division of SAO. The Funtools library
 provides simplified access to a wide array of file types: standard
 astronomical FITS images and binary tables, raw arrays and binary event
 lists, and even tables of ASCII column data. A sophisticated region filtering
 library (compatible with ds9) filters images and tables using boolean
 operations between geometric shapes, support world coordinates, etc. Funtools
 also supports advanced capabilities such as optimized data searching using
 index files.
 .
 This library contains the shared library.

Package: libfuntools-dev
Section: libdevel
Architecture: any
Depends: libfuntools1 (= ${binary:Version}), libwcstools-dev, ${misc:Depends}
Description: Minimal buy-in FITS library (development files)
 Funtools, is a "minimal buy-in" FITS library and utility package developed at
 the High Energy Astrophysics Division of SAO. The Funtools library
 provides simplified access to a wide array of file types: standard
 astronomical FITS images and binary tables, raw arrays and binary event
 lists, and even tables of ASCII column data. A sophisticated region filtering
 library (compatible with ds9) filters images and tables using boolean
 operations between geometric shapes, support world coordinates, etc. Funtools
 also supports advanced capabilities such as optimized data searching using
 index files.
 .
 This package contains the development files.

Package: tcl-funtools
Section: interpreters
Architecture: any
Depends: libfuntools1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Minimal buy-in FITS library (Tcl interface)
 Funtools, is a "minimal buy-in" FITS library and utility package developed at
 the High Energy Astrophysics Division of SAO. The Funtools library
 provides simplified access to a wide array of file types: standard
 astronomical FITS images and binary tables, raw arrays and binary event
 lists, and even tables of ASCII column data. A sophisticated region filtering
 library (compatible with ds9) filters images and tables using boolean
 operations between geometric shapes, support world coordinates, etc. Funtools
 also supports advanced capabilities such as optimized data searching using
 index files.
 .
 This package contains the Tcl interface.
