=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf,autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --with-zlib=-lz --with-wcslib=-lwcstools  --with-tcl=/usr/lib --enable-dl

override_dh_auto_build: 
	dh_auto_build -- all shtclfun

override_dh_installchangelogs:
	dh_installchangelogs doc/changelog.html

override_dh_makeshlibs:
	dh_makeshlibs -Xlibtclfun.so
