=== debian/watch ===
version=3
http://cfa-www.harvard.edu/~john/funtools .+funtools-(.+)\.tar\.gz
